Skip to content

Instantly share code, notes, and snippets.

Avatar

Keto TheRealKeto

View GitHub Profile
@TheRealKeto
TheRealKeto / FuturerestoreGuide.md
Last active Oct 12, 2021
A guide fully covering the process of using Futurerestore to upgrade, downgrade, or re-restore to an unsigned iOS firmware.
View FuturerestoreGuide.md

Futurerestore Guide

Futurerestore is a tool that allows users to upgrade, downgrade, or re-restore their iOS device to an unsigned firmware through the use of SHSH2 blobs. This guide will teach you how to use Futurerestore in order to upgrade, downgrade, or re-restore to an unsigned firmware.

Before continuing, keep in mind that this guide is based off of this one, and contains information that can change your device's behavior or even damage it. With that in mind, please read the guide fully, as no one but YOU will be held responsible for any damage caused to your device.

Notes and Hints

Throughout the entirety of this guide, keep in mind that:

  • iOS 13.1.3's SEP and Baseband are NOT compatible with iOS 12.x for all devices. This means that you're NOT able to upgrade, downgrade, or re-restore A10-A12X devices back to iOS 12.x. Attempting to use an incompatible SEP and Baseband will cause Futureresto
@TheRealKeto
TheRealKeto / FuturerestoreErrorCodes.md
Last active May 23, 2021
Documentation of most common errors you can encounter when using Futurerestore.
View FuturerestoreErrorCodes.md

Futurerestore's Common Errors

When using Futurerestore in order to upgrade, downgrade, or re-restore to an unsigned fimrware, you may encouter some errors along the way. This is a "guide" that documents all of the most common errors you can encounter when using Futurerestore, and will show you how to solve them.

If you encouter an error that's not listed here, you may refer to r/Jailbreak, as this is only documentation with the most common errors you can encouter.

Error code -2: Could not put device into Recovery Mode

If you're on iOS 10 using the Meridian jailbreak, then you've probably encoutered this error when using Futurerestore. This is because the jailbreak itself, as it contains a "version" (rather binary) of ldrestart that is broken.

If you encounter this errors on iOS 10 using the Meridian jailbreak:

  1. Download Meridian from here, and sideload it with [Cydia Impactor](http://www.cydiaimpa